import request from '@/utils/request'

// 查询短信套餐包列表
export function listCompanySmsPackage(query) {
  return request({
    url: '/company/companySmsPackage/list',
    method: 'get',
    params: query
  })
}

// 查询所有短信套餐包
export function listCompanySmsPackageAll(query) {
  return request({
    url: '/company/companySmsPackage/listAll',
    method: 'get',
    params: query
  })
}


// 查询短信套餐包详细
export function getCompanySmsPackage(packageId) {
  return request({
    url: '/company/companySmsPackage/' + packageId,
    method: 'get'
  })
}

// 新增短信套餐包
export function addCompanySmsPackage(data) {
  return request({
    url: '/company/companySmsPackage',
    method: 'post',
    data: data
  })
}

// 修改短信套餐包
export function updateCompanySmsPackage(data) {
  return request({
    url: '/company/companySmsPackage',
    method: 'put',
    data: data
  })
}

// 删除短信套餐包
export function delCompanySmsPackage(packageId) {
  return request({
    url: '/company/companySmsPackage/' + packageId,
    method: 'delete'
  })
}

// 导出短信套餐包
export function exportCompanySmsPackage(query) {
  return request({
    url: '/company/companySmsPackage/export',
    method: 'get',
    params: query
  })
}
